Package logilab :: Package common :: Module compat

[frames] | no frames]

# Module compat

source code

    Wrappers around some builtins introduced in python 2.3, 2.4 and
    2.5, making them available in for earlier versions of python.

    See another compatibility snippets from other projects:

        :mod:`lib2to3.fixes`
        :mod:`coverage.backward`
        :mod:`unittest2.compatibility`

Functions

str_to_bytes(string) | source code

str_encode(string, encoding) | source code

Variables
| method_type = `types.MethodType`
| any = `deprecated('use builtin "any"')(any)`
| all = `deprecated('use builtin "all"')(all)`